#ifndef SPELL_WARZ_BATTLEINTERFACE_HPP
#define SPELL_WARZ_BATTLEINTERFACE_HPP 1

#include <iostream>
#include <thread>
#include <chrono>

#include "Character.hpp"
#include "Spell.hpp"
#include "UserInterface.hpp"

class BattleInterface
{
protected:
    static const int maxTurn;
    int turn;

    Character *player1;
    Character *player2;
    Character *winner;
    Character *loser;

    void battleStartAnnounce();
    void battleEndAnnouce();
    void clearBuff();
public:
    BattleInterface();
    BattleInterface(Character *p1, Character *p2);
    
    void start();
    Character *getWinner();
    Character *getLoser();
};

#endif